## dgit 6.11~bpo9+1

=== debian/changelog ===
dgit (6.11~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 03 Sep 2018 21:28:42 -0700

dgit (6.11) unstable; urgency=medium

  * dgit-maint-debrebase(7): move and improve the section
    "Inspecting the history".  [Sean Whitton]
  * Makefile: Adjust scope of dgit(7) pod rule.
  * local-pod-man: developer script, obsoleteed by `make %.view': drop it.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 26 Aug 2018 14:59:32 +0100

dgit (6.10) unstable; urgency=medium

  git-debrebase bugfixes:
  * Patches in subdirectories: fix malfunctions.  Closes:#907202,#907206.
  * new-upstream changelog entry: Use debchange.  Closes:#905888.
  * Empty patch queues: Fix some malfunctions and infelicities.
  * convert-to-gbp: Actually base the result on the breakwater, not HEAD.

  dgit bugfixes:
  * *build*: Cope with new-style --build= specifications
  * Pass --no-source to sbuild (always).  Closes:#904966.
  * build: Squash $buildproductsdir.  Closes:#906786.

  dgit improvements for git-debrebase compatibility:
  * Do not try split brain git-debrebase make-patches.  Closes:#906908.
  * Do not abandon quilt fixup at git-debrebase split commits.
  * Check for git-debrebase with a history walker, not debrebase-last.
    This can avoids using dpkg-source --commit.  Closes:#907208.

  git-debrebase improvements:
  * convert-from-*: snag on discarding comments in series.  Closes:#907198.
  * forget-was-ever-debrebase: New subcommand.
  * Make all commit message annotations have a COMMIT-TYPE.

  git-debrebase documentation:
  * dgit-maint-debrebase(7): Add runes for inspecting.  Closes:#907190.
  * git-debrebase(5): Warn against renaming branch while unstitched
  * git-debrebase(5): Document new understanding of debrebase-last

  test suite behavioural changes for ad-hoc runs:
  * run-all: Without --progressive, rm and recreate tests/tmp
  * run-all: Honour DGIT_TESTS_TMPDIR
  * run-all: Understand `:' specially

  test suite:
  * Tests for the bugfixes and improvements.
  * lib-gdr: Be more defensive about unexpected states/args
  * lib-gdr: Check that we made patches with git-debrebase
  * Honour DGIT_TEST_RUN_PFX env var.
  * Test dgit calling git-debrebase on new debianisation.
  * gdr-new-upstream: Check changelog is exactly right.
  * debchange: Widespread better handling of the time seen by dch.
    Freeze time.  Work around faketime TZ bug (#907264).
  * test-list-uptodate: Drop imports and dependencies
  * git-debrebase: gdr-merge-conflicts: Call git merge --no-edit
  * build-modes-*: Provide stunt dpkg-deb to pass -Znone, for speed.
  * build-products-dir: Check nothing in ../
  * Work if $tmp is on a different filesystem.
  * Internal changes and refactoring to support other changes.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 26 Aug 2018 14:58:18 +0100

dgit (6.9) unstable; urgency=medium

  * dgit: do not crash on push of a new gdr package.  Closes:#906784.
  * dgit: Remove unsubstituted $changesfile from message  Closes:906787.
  * dgit-maint-debrebase(7): improve "Converting an existing package",
    and refer to "ILLEGAL OPERATIONS" in git-debrebase(5).
    Closes:#905573.  [ Sean Whitton ]
  * test suite: Update debian/tests/control following dependency fix.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 21 Aug 2018 14:36:36 +0100

dgit (6.8) unstable; urgency=medium

  * test suite: Fix dependencies of new gdr-merge-conflicts test.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 20 Aug 2018 14:52:03 +0100

dgit (6.7) unstable; urgency=medium

  git-debrebase, bugfixes:
  * make-patches: Do not bail if there aren't any.
  * scrap: works properly when it does only rebase --abort.
  * On rebase: always save ffq-prev even if we were both stitched and
    laundered.  Closes:#905975.

  git-debrebase, improvements:
  * Speed: improve laundry performance by a factor of ~55:1,
    and analysis performance by factor of ~4.2:1.  Closes:#905995.
  * prepush: this is now a silent no-op if the branch is
    unstitched.  This is more friendly.
  * convert-from-*: Snag on patches in d/patches which are not in series,
    because they will be deleted.  Closes:#904997.
  * Highly experimental merge resolution support, enabled only with
    special command line option.
  * Lots of internal changes to support merge, and other work.
  * convert-from-*: Check whether ffq-prev or debrebase-last indicate that
    we are already in gdr format.
  * convert-from-*: leave debrebase-last refs to hint to everyone that
    this is now a gdr branch.

  git-debrebase, improved messages:
  * Improve ffq head recording message.
  * Better (less copious by default) debug output.
  * convert-from-gbp: Improve messages.  Closes:#906641.
  * Provide hints for unprocessable commits, depending on the apparent
    branch ffq state, including possible suggestion to use convert-from-*.
    Closes:#905005.  Closes:#905279.

  dgit, improved messages:
  * Mention bad origs as possible cause of quilt fixup failure,
    in both dgit(7) and in error messages.  No longer suggest
    --quilt=smash or dpkg-source --commit in the error message.
    Closes:906196.
  * Do not suggest --quilt modes if quilt fixup "stopped at"
    a commit made by git-debrebase.  Closes:#906197.
  * Mention gitattributes as a potential problem in quilt linearisation
    failure, when appropriate.  Closes:#906199.

  dgit, documentation:
  * dgit(1): Encourage --overwrite rather than --overwrite=version.
  * Document that we do not suppress attributes which affect git-archive.
    This is related to #906199.

  test suite:
  * test suite: Set DEBFULLNAME
  * test suite: unset GIT_EDITOR, so it works if user has that set.

  Packaging:
  * changelog: Add close note for #905400 to changelog entry for 6.5.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 20 Aug 2018 02:30:06 +0100

dgit (6.6~bpo9+1) stretch-backports; urgency=medium


