## dgit 6.12

=== debian/changelog ===
dgit (6.12) unstable; urgency=medium

  * test suite: t-check-only-bpd: Check $tmp/.. not .. .  Fixes bogus
    failure in Ubuntu CI.  Thanks to Mattia Rizzolo for the report.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 28 Sep 2018 18:17:36 +0100
