## dgit 7.0~bpo9+1

=== debian/changelog ===
dgit (7.0~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 10 Oct 2018 08:40:11 -0700

dgit (7.0) unstable; urgency=medium

  Bugfixes:
  * dgit: Do not sometimes crash in quilt-fixup if git-debrebase
    is not installed.  Closes:#910221.
  * git-debrebase: new-upstream: Drop `sleep 2' (!)
  * git-debrebase: anchor: Print the anchor, not the breakwater tip (!)
  * Get rid of perl warning "Statement unlikely to be reached"
    (introduced in 7.0~pre1).
  * git-debrebase: merges: Make warnings of lossage less overblown

  i18n (translation):
  * Support message translation for git-debrebase.  (Re #904883.)
  * Support document translation.  Closes:#904883.
  * po: Rename `all-po' target to `pofiles'

  Error message improvements (prompted by i18n work)
  * Replaced `die' with `confess' in many unexpected syscall errors
    and internal error cases.
  * git-debrebase; Print a proper message for failure to opendir
    the bpd and for failure to chdir to the toplevel.

  Internal changes:
  * Minor refactoring to support translation.
  * i18n-diff-auditor: New script to support translation markup.

  Packaging:
  * Use dh_missing --fail-missing
  * Add missing build-dependency on xgettext

  Test suite:
  * gdr-makepatches7: Fixes to dgit/git-debrebase interaction
  * gdr-makepatches7: Test dgit with missing git-debrebase
  * Test that the binary packages can be built

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 04 Oct 2018 20:33:12 +0100

dgit (7.0~pre1) experimental; urgency=medium

  * i18n: Support messgae translation for the program dgit.
    (Working towards #904883.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 02 Oct 2018 13:20:24 +0100
