## dgit 7.0

=== Makefile ===
--- 
+++ 
@@ -45,14 +45,18 @@
 	dgit-sponsorship.7
 
 TXTDOCS=README.dsc-import
-PERLMODULES=Debian/Dgit.pm Debian/Dgit/ExitStatus.pm
+PERLMODULES= \
+	Debian/Dgit.pm \
+	Debian/Dgit/ExitStatus.pm \
+	Debian/Dgit/I18n.pm
 ABSURDITIES=git
 
 GDR_PROGRAMS=git-debrebase
 GDR_PERLMODULES= \
 	Debian/Dgit.pm \
 	Debian/Dgit/GDR.pm \
-	Debian/Dgit/ExitStatus.pm
+	Debian/Dgit/ExitStatus.pm \
+	Debian/Dgit/I18n.pm
 GDR_MAN1PAGES=git-debrebase.1
 GDR_MAN5PAGES=git-debrebase.5
 
@@ -123,6 +127,10 @@
 list-manpages:
 	@echo $(MANPAGES)
 
+i18n i18n-update:
+	$(MAKE) -C po update
+	$(MAKE) -C po4a update
+
 check installcheck:
 
 clean distclean mostlyclean maintainer-clean:
