=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Standards-Version: 3.9.4.0
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9), gettext, po4a
 Testsuite: autopkgtest
 Vcs-Git: git://git.chiark.greenend.org.uk/~ianmdlvl/dgit.git
 Vcs-Browser: http://www.chiark.greenend.org.uk/ucgi/~ianmdlvl/git/dgit.git/
@@ -11,6 +11,7 @@
 Package: dgit
 Depends: perl, libwww-perl, libdpkg-perl, git-core, devscripts, dpkg-dev,
          ${misc:Depends}, git-buildpackage, liblist-moreutils-perl,
+         liblocale-gettext-perl,
          coreutils (>= 8.23-1~),
          libdigest-sha-perl, dput, curl, apt,
          libjson-perl, ca-certificates,
@@ -28,6 +29,7 @@
 
 Package: git-debrebase
 Depends: perl, git-core, libdpkg-perl, libfile-fnmatch-perl, devscripts,
+         liblocale-gettext-perl,
          ${misc:Depends}
 Recommends: dgit, git-buildpackage
 Architecture: all
@@ -38,7 +40,8 @@
 Package: dgit-infrastructure
 Depends: ${misc:Depends}, perl, git-core, gpgv, chiark-utils-bin,
          libjson-perl, libdigest-sha-perl, libdbd-sqlite3-perl, sqlite3,
-         libwww-perl, libdpkg-perl
+         libwww-perl, libdpkg-perl,
+         liblocale-gettext-perl
 Recommends: dgit
 Architecture: all
 Priority: extra
