=== debian/tests/control ===
--- 
+++ 
@@ -24,10 +24,6 @@
 Tests-Directory: tests/tests
 Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, git-debrebase, git-buildpackage
 
-Tests: gdr-newupstream gdr-viagit
-Tests-Directory: tests/tests
-Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage
-
 Tests: gitattributes
 Tests-Directory: tests/tests
 Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, bsdgames, man-db, git-man
@@ -36,6 +32,10 @@
 Tests-Directory: tests/tests
 Depends: gnupg, patch, diffutils
 Restrictions: hint-testsuite-triggers
+
+Tests: gdr-newupstream gdr-viagit i18n-messages
+Tests-Directory: tests/tests
+Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage
 
 Tests: manpages-format
 Tests-Directory: tests/tests
@@ -55,9 +55,6 @@
 Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, sbuild, man-db
 Restrictions: x-dgit-schroot-build
 
-Tests: spelling
+Tests: i18n-po4a-uptodate package-build spelling
 Tests-Directory: tests/tests
 Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime
-Restrictions: x-dgit-git-only
-
-Tests: test-list-uptodate
