## dgit 8.0~bpo9+1

=== debian/changelog ===
dgit (8.0~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Oct 2018 10:22:45 -0700

dgit (8.0) unstable; urgency=medium

  dgit - Behavioural change with compatibility implications:
  * Check (with --clean=dpkg-source[-d], ie, by default) that rules
    clean does not leave untracked files (ie, trip if it looks like
    a `git add' may have been forgotten).  dgit will now fail in
    some situations where previously it would have just carried on.
  * Honour new clean modes --dpkg-source[-d],no-check aka -wdn / -wddn
    which suppress this check.  (Whether the untracked files are
    used or disregarded depends on --include-dirty.)
  * Honour new .clean-mode-newer access config option, to allow git
    configs to be compatible with both new and old dgits.
    See relevant parts of dgit(1) for more information.

  dgit - Improved behaviours:
  * Better handling of cross-filesystem operations, including
    build-products-dir on a different fs.  Closes:#910730.
  * Change to git toplevel dir before starting.  Closes:#910724.
  * Provide --clean=check,ignores aka -wci.
  * Provide --clean=dpkg-source[-d],all-check aka -wda / -wdda.

  dgit - Important bugfixes:
  * Check that tree does not contain untracked files (depending on clean
    mode) when building source using git branch rather than using working
    tree.  In particular, honour --clean=check.  Closes:#910705.
  * Also apply that new cleanliness check during build-source or
    push-source etc. with --clean=dpkg-source; even though rules
    clean was not run.  See above.  Again, -wdn / -wddn may be needed.
  * dgit: Forbid source building with --include-dirty and non-.. bpd,
    which can seriously malfunction.  Closes:#910725; see #910740.

  dgit - Additional sanity checks:
  * quilt linearisation: Stop at debian/source/format changes.
  * quilt fixup: Cope if gdr analysis finds origin.  Closes:#910687.
  * Add missing error check in single-debian-patch handling.
  * Refuse to work if critical files have uncommitted changes.
  * Reject all git config options containing newlines.
  * Better error message for not in git tree.  (For git-debrebase too.)

  dgit - Minor bugfixes:
  * Fix spelling errors etc. in messages.
  * Replace mention of alioth by salsa in a message.
  * clean_tree: confess rather than die on unknown clean mode.
  * Add missing \n to crash from git_cat_file.  (git-debrebase too.)

  Documentation:
  * dgit(1): Document that cleaning is sometimes not needed and
    is therefore not done.
  * README.md: Add this document for the benefit of Salsa.
  * po/README: Mention -k10 threshold.
  * po/README: Give a pointer to salsa; remind the translator to commit.
  * dgit(1): Fix spelling errors.
  * dgit(7): Fix spelling errors.
  * dgit-sponsorship(7): Fix spelling error.

  Consequential changes:
  * Internal refactoring to support all these changes.
  * Tests adjusted to correspond to, and somewhat test, these changes.
  * Slight reorganisation to documentation of --clean=dpkg-source etc.

  Build system:
  * Makefile: Provide i18n-commit target.
  * po/list-documents: Set translation threshold to 10%.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 13 Oct 2018 23:56:35 +0100
