## dgit 8.1~bpo9+1

=== debian/changelog ===
dgit (8.1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 17 Nov 2018 11:00:59 -0700

dgit (8.1) unstable; urgency=medium

  git-debrebase;
  * convert-from-unapplied: Provide aa an alias for convert-from-gbp
    and document its scope properly, etc.  Closes:#905433.
  * dgit-maint-debrebase(7): discuss -fdiverged with convert-from-*,
    and (prompted) dgit --overwrite.  Closes:#903377.  [Sean Whitton]

  i18n support:
  * Check pod translations for a common class of syntax error.
    (using new machinery for pairwise checking of pod translations.)
  * po4a: Add -LUTF-8 to the config.
  * po4a/.gitignore: actually ignore right .po4a.LANG.cfg.

  test suite:
  * Run everything with LC_CTYPE=C.UTF-8.
  * manpages-format: pass --warnings.
  * NOTES.podchecker: Document why we're not using podchecker.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 08 Nov 2018 02:09:05 +0000
