## dgit 8.3~bpo9+1

=== debian/changelog ===
dgit (8.3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 11 Jan 2019 19:49:32 -0700

dgit (8.3) unstable; urgency=medium

  dgit - Behavioural changes with compatibility implications:
  * Pass --no-source-only-changes to pbuilder and cowbuilder
    Closes:#904862.  This option was only recently added to
    pbuilder.  For compatibility with old pbuilder, say, eg
    `dgit --pbuilder!:--no-source-only-changes'.
  * With --clean=git etc, check the tree is clean even before building
    source in dgit's private directory.  Specifically, with eg dgit sbuild
    or dgit build-source.  dgit prior to 6.0 would always clean the tree.
    dgit 6.0 to 8.1 would ignore untracked files completely, leading to
    occasional lossage.  The pre-6.0 behaviour can be requested with
    --clean=git,always etc. (aka -wga, -wgfa).  Closes:#914317.

  dgit - New features, bugfixes and improved behaviours:
  * Allow uppercase (ascii) letters in multi-orig components,
    as is allowed by the spec in dpkg-source(1).  Closes:#916926.
  * Honour --program!:option to suppress options passed by default.
  * clone: Create destination directory before using network.
  * Check early that build-products-dir is accessible.  Closes:#913648.
  * Look for origs in `..' as well as build-products-dir, and
    there are any, link them into the bpd.  Closes:#904878.
  * Provide new --git[-ff],always clean mode (as discussed above).

  i18n - new translations [Frans Spiesschaert]:
  * nl, dgit-user(7).   Closes:#918253.
  * nl, messages.   Closes:#917148.

  Documentation:
  * dgit(1): Fix documentation of .quilt-mode config.
  * dgit(1): Fix a formatting typo (spurious .TP).  Closes:#917194.
  * dgit-user(7): Fix formatting error in comment about multi-arch.
  * dgit-maint-debrebase(7): handle DFSG-filtering for a new package.
    [Sean Whitton]  Closes:#915973.

  Error message improvements:
  * dgit: When reporting no such package, say `source package'.
  * dgit: Fix reference to -wdn/-wddn in a message.
  * dgit: cleaning: Minorly improved handling of note about ignores.
  * dgit-repos-policy-debian: Remove duplicated text from force
    report message.  Closes:#913676.

  i18n infrastructure:
  * po/README: Fix reference to dgit-user_7.pot.
  * po4a, pairwise-pocheck: Fix recognition of bare `<...>'.
  * Update po and pot files.

  Internal changes;
  * dgit: Remove foolish uses of $b, which is very special in perl.
  * Modest refactoring to support the other changes.
  * test suite: pretend-pbuilder: Reject unknown options.
  * Test suite: examplegit setup: Do not leave the tree dirty.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 07 Jan 2019 00:14:05 +0000
