## dgit 8.4

=== debian/changelog ===
dgit (8.4) unstable; urgency=medium

  Bugfixes:
  * dgit: import-dsc: Handle relative symlinks correctly.
    Closes:#913259.
  * dgit: Do not misrecognise some initial packaging as
    gdr-compatible.  Closes:#922446.  [Report from Sean Whitton]
  * git-debrebase: convert-*: Fix two broken error messages.
    Closes:#922462.  [Report from Didier 'OdyX' Raboud]

  Documentation:
  * [nl] translations updated.  Closes:#921088.  [Frans Spiesschaert]
  * Many manpage typo fixes.  Closes:#918384.  [Paul Hardy]
  * dgit(1): Write the leading dash of an option as '\-'.
    Closes:#921965.  [Bjarni Ingi Gislason]

  Test suite:
  * dgit: import-dsc: New test for abs/rel dsc component links

  Internal changes:
  * dgit: cmd_import_dsc: comment on lack of is_orig_file check
  * git-debrebase: resolve_upstream_version: Return $used too

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 01 Mar 2019 21:53:40 +0000
