## dgit 8.5~bpo9+1

=== debian/changelog ===
dgit (8.5~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 23 Jun 2019 16:40:20 +0100

dgit (8.5) unstable; urgency=medium

  * Replace `confess $!' with `confess "$!"', to actually print errno
    when crashing.  Closes:#929549.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 27 May 2019 00:20:58 +0100
