## dgit 8.5

=== Makefile ===
--- 
+++ 
@@ -131,6 +131,11 @@
 	$(MAKE) -C po update
 	$(MAKE) -C po4a update
 
+i18n-commit:
+	set -e; x=$$(git status --porcelain); set -x; test "x$$x" = x
+	$(MAKE) i18n-update
+	git commit -a -m 'i18n-commit - autogenerated'
+
 check installcheck:
 
 clean distclean mostlyclean maintainer-clean:
