=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Standards-Version: 3.9.4.0
-Build-Depends: debhelper (>= 9), gettext, po4a
+Build-Depends: debhelper (>= 9), gettext, po4a, tcl
 Testsuite: autopkgtest
 Vcs-Git: git://git.chiark.greenend.org.uk/~ianmdlvl/dgit.git
 Vcs-Browser: http://www.chiark.greenend.org.uk/ucgi/~ianmdlvl/git/dgit.git/
