## dgit 9.2~bpo10+1

=== Makefile ===
--- 
+++ 
@@ -60,6 +60,9 @@
 GDR_MAN1PAGES=git-debrebase.1
 GDR_MAN5PAGES=git-debrebase.5
 
+GDP_PROGRAMS=git-debpush
+GDP_MAN1PAGES=git-debpush.1
+
 INFRA_PROGRAMS=dgit-repos-server dgit-ssh-dispatch \
 	dgit-repos-policy-debian dgit-repos-admin-debian \
 	dgit-repos-policy-trusting dgit-mirror-rsync
@@ -70,7 +73,8 @@
 	Debian/Dgit/Policy/Debian.pm
 
 MANPAGES=$(MAN1PAGES) $(MAN5PAGES) $(MAN7PAGES) \
-	$(GDR_MAN1PAGES) $(GDR_MAN5PAGES)
+	$(GDR_MAN1PAGES) $(GDR_MAN5PAGES) \
+	$(GDP_MAN1PAGES)
 
 all:	$(MANPAGES) $(addprefix substituted/,$(PROGRAMS))
 
@@ -98,6 +102,10 @@
 		$(DESTDIR)$(txtdocdir) $(DESTDIR)$(absurddir) \
 		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(PERLMODULES)))
 
+install-gdp:    installdirs-gdp
+	$(INSTALL_PROGRAM) $(GDP_PROGRAMS) $(DESTDIR)$(bindir)
+	$(INSTALL_DATA) $(GDP_MAN1PAGES) $(DESTDIR)$(man1dir)
+
 install-gdr:	installdirs-gdr
 	$(INSTALL_PROGRAM) $(GDR_PROGRAMS) $(DESTDIR)$(bindir)
 	$(INSTALL_DATA) $(GDR_MAN1PAGES) $(DESTDIR)$(man1dir)
@@ -114,6 +122,9 @@
 	set -e; for m in $(INFRA_PERLMODULES); do \
 		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
 	done
+
+installdirs-gdp:
+	$(INSTALL_DIR) $(DESTDIR)$(bindir) $(DESTDIR)$(man1dir)
 
 installdirs-gdr:
 	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
@@ -154,5 +165,10 @@
 		--name=$(subst .$*,,$@) \
 		$^ $@
 
+git-debpush.1: git-debpush.1.pod
+	pod2man --section=1 --date="Debian Project" --center="git-debpush" \
+		--name git-debpush \
+		$^ $@
+
 %.view:	%
 	man -l $*
