=== debian/changelog ===
dgit (9.2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 17 Jul 2019 16:50:10 +0100

dgit (9.2) unstable; urgency=medium

  * No change upload to force rebuild on buildd.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 09 Jul 2019 22:01:25 +0100

dgit (9.1) unstable; urgency=medium

  New tools for a "git-push-to-upload" workflow [Ian Jackson & Sean Whitton]:
  * New script in a new binary package: git-debpush.
    The new binary package is small, but
    + git-debpush needs to be in src:dgit, because its test suite is the
      dgit test suite; however,
    + git-debpush is functionally and conceptually independent of dgit,
      so should not go into bin:dgit; in particular
    + git-debpush's dependencies are quite different to the other
      binary packages.
  * New dgit-infrastructure subcommand, tag2upload, to process tags made
    by git-debpush.
    Please see git-debpush(1) for a sketch of the workflow.

  dgit:
  * Allow the -p option to be used with various push modes.
  * Include dgit tag metadata in maintainer view tags.
    For consistency with, and use by, git-debpush.
  * Include quilt metadata in the archive/ (dgit view) tag.
  * rpush protocol: Version 6, which includes split brain information
    for maintainer view tags.  And, actually use newer version
    (was broken in 9.0, which would prefer to select 4 not 5).
  * Add some missing blank lines to tag messages.
  * Some other refactoring.

  Other documentation:
  * dgit(1): fix a reference in the description of --quilt=auto [Sean
    Whitton].

  Translations:
  * Do not translate tag subject lines, because these are parsed by
    dgit-repos-server.

  Test suite:
  * Test cases for new tools for "git-push-to-upload" workflow.
  * drs-git-ext: honour DGIT_DRS_MODE.
  * Provide a stunt sendmail and a stunt dgit.
  * Unset CDPATH in case caller has it set.
  * Some other refactoring.

  Administrivia:
  * Update d/copyright years to include 2019 [Sean Whitton].

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 07 Jul 2019 14:28:27 +0100

dgit (9.0) unstable; urgency=medium

  dgit - low-impact incompatible change:
  * Drop support for, and testing of, dgit versions which use old tag name
    (debian/V; now that is maintainer view and dgit is archive/debian/V).
    The new tags came in in dgit 2.0 in October 2016.  No version of dgit
    without them was in any Debian release.  We don't expect there are any
    sites using old servers which do not support the new format, or anyone
    using a dgit client older than 2.x who cannot upgrade.

  git-debrebase fixes [Niko Tyni]:
  * Fix `git-debrebase convert-from-dgit-view <upstream>', which
    would crash due to an argument parser bug.  Closes:#930214.
  * git-debrebase(1): typo fix.  Closes:#930215.

  dgit - new capabilities:
  * Support split view with native packages, and with all quilt modes.
    Now we distinguish "split view" (meaning separate dgit branch) from
    "splitting quilt modes" (eg --quilt-unapplied).
    [Prompted in part by enquiries from Sam Hartman]  Closes:#926640.
  * Support for bare debian/ directory (aka packaging-only) git branches
    Ie, --quilt=baredebian[+tarball].  [Thanks for info from Shengjing
    Zhu, and docs and UI contributions/review from Sean Whitton.]
    Closes:#903392.  Closes:#931253.

  dgit - bugfixes:
  * Fix --dgit-view-save option alias, which never worked.
    (--save-dgit-view worked, and still does, though.)
  * i18n: Do not translate import commit messages.

  dgit - other documentation improvements [Sean Whitton]:
  * Expand on description of --include-dirty.  New text may help
    user avoid unexpected file deletion.  Closes:#930922.
  * dgit-maint-*(7): Suggest --name-status --diff-filter.  Closes:#930956.
  * dgit-maint-*(7): Using untagged upstream commits.  Closes:#930964.

  dgit - minor consequences of these other changes:
  * Actually properly reject invalid quilt modes found in git config.
    (Previously they might be accepted and then cause malfunctions.)
  * Reject split brain quilt modes with single-debian-patch.
    (Previously this would malfunction; now we reject it.)
  * i18n: Add translator notes about ASCII art changes display.
  * Drop "dgit view: changes are required..." message.
  * Some other minor changes to quilt fixup error handling.
  * Changes to debugging output related to quilt modes and split view.
  * Introduce rpush protocol version 5.  Minimum version is now 4.
  * Considerable internal rearrangement of quilt fixup code.
  * Considerable test suite work including new tests.

  dgit test suite:
  * dgit-repos-policy-debian: Test taint removal.  Closes:#929249.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 02 Jul 2019 16:55:15 +0100

dgit (8.6~) UNRELEASED; urgency=medium

  * dgit: rpush: Work in splitting quilt modes, again.  Closes:#931213.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 02 Jul 2019 14:36:47 +0100
