=== debian/control ===
--- 
+++ 
@@ -37,6 +37,19 @@
  git-debrebase is a tool for representing in git, and manipulating,
  Debian packages based on upstream source code.
 
+Package: git-debpush
+Depends: devscripts, git, gnupg, ${misc:Depends}
+Architecture: all
+Description: client script for git pushing to Debian-style archives
+ git-debpush is a script to create and push a specially formatted
+ signed git tag.  The metadata in the tag indicates that the tagged
+ commit should be pushed (or "uploaded") to a Debian-style archive.
+ .
+ Tags generated by this script can be read by an intermediary service,
+ which performs any conversion that's needed (such as producing and
+ signing a .dsc and .changes), and then uploads the result to the
+ Debian-style archive on your behalf.
+
 Package: dgit-infrastructure
 Depends: ${misc:Depends}, perl, git-core, gpgv, chiark-utils-bin,
          libjson-perl, libdigest-sha-perl, libdbd-sqlite3-perl, sqlite3,
