=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,9 @@
 
 globalperl=/usr/share/perl5
 
-override_dh_auto_install: specpkg_install_gdr specpkg_install_infra
+override_dh_auto_install: specpkg_install_gdp \
+ specpkg_install_gdr \
+ specpkg_install_infra
 	make install prefix=/usr DESTDIR=debian/dgit
 	make -C po install prefix=/usr DESTDIR=../debian/tmp \
 		SUPPRESS_PO_UPDATE=1 S=''
@@ -45,16 +47,27 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
+specpkg_install_gdp: p=git-debpush
+
 specpkg_install_gdr: p=git-debrebase
 specpkg_install_gdr: pm=GDR
 
 specpkg_install_infra: p=dgit-infrastructure
 specpkg_install_infra: pm=Infra
 
+define specpkg_install_common
+	make install-$(tok) prefix=/usr DESTDIR=debian/$(p) perldir=$(specperl)
+endef
+
+specpkg_install_gdp: tok=gdp
+specpkg_install_gdp: specperl=/usr/share/dgit/gdp/perl5
+specpkg_install_gdp:
+	$(specpkg_install_common)
+
 specpkg_install_%: tok=$*
 specpkg_install_%: specperl=/usr/share/dgit/$(tok)/perl5
 specpkg_install_%:
-	make install-$(tok) prefix=/usr DESTDIR=debian/$(p) perldir=$(specperl)
+	$(specpkg_install_common)
 #	# Most of the Perl modules in this package live in
 #	# $(specperl).  The exception is Debian::Dgit::Infra, which
 #	# lives in $(globalperl) and adds $(specperl) to @INC.
